Page MenuHomePhabricator

Make the cassandra module use hiera properly
Closed, ResolvedPublic

Description

Currently, defaults.pp has a lot of pick calls picking up global variables to set up defaults. The defaults should just be set as defaults in init.pp itself, and then hiera can be used to override the class parameters.

default.pp should not exist.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda changed Security from none to None.
yuvipanda added subscribers: yuvipanda, Joe.
yuvipanda renamed this task from Make the cassandra module use hiera to Make the cassandra module use hiera properly.Nov 27 2014, 8:16 PM
yuvipanda updated the task description. (Show Details)
GWicke added a comment.EditedNov 27 2014, 8:22 PM

Other improvements could be:

  • group the cassandra cluster settings under one per-cluster hierarchy in hiera, so that this hierarchy can be referenced by all users of that cassandra cluster (especially: user, pass, seeds); let an app like restbase reference multiple clusters.

See also: T1228

mark edited projects, added ops-core; removed acl*sre-team.Dec 18 2014, 9:13 AM
chasemp triaged this task as Medium priority.Jan 6 2015, 11:07 PM
gerritbot added a subscriber: gerritbot.

Change 190813 had a related patch set uploaded (by Filippo Giunchedi):
cassandra: deprecate cassandra::defaults class

https://gerrit.wikimedia.org/r/190813

Patch-For-Review

Change 190813 merged by Filippo Giunchedi:
cassandra: deprecate cassandra::defaults class

https://gerrit.wikimedia.org/r/190813

default.pp is gone with https://gerrit.wikimedia.org/r/190813, leaving this open since there other other improvements like @GWicke suggested

Ottomata removed a subscriber: Ottomata.May 1 2015, 8:29 PM
fgiunchedi closed this task as Resolved.Nov 20 2015, 9:39 AM

cassandra module has changed a lot now including support for multi instances, resolving